Skip to main content
`Ctrl`+`K`

# EPSGetConverged

Gets the number of converged eigenpairs.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGetConverged(EPS eps,PetscInt *nconv)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameter

- nconv - number of converged eigenpairs

## Notes

This function should be called after `EPSSolve()` has finished.

The value `nconv` may be different from the number of requested solutions `nev`, but not larger than `ncv`, see `EPSSetDimensions()`.

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetDimensions()`, `EPSSolve()`, `EPSGetEigenpair()`

## Level

beginner

## Location

src/eps/interface/epssolve.c

## Examples

src/eps/tutorials/ex55.c
src/eps/tutorials/ex24.c
src/eps/tutorials/ex34.c
src/eps/tutorials/ex7.c
src/eps/tutorials/ex1.c
src/eps/tutorials/ex31.c
src/eps/tutorials/ex47.c
src/eps/tutorials/ex41.c
src/eps/tutorials/ex29.c
src/eps/tutorials/ex58.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages